INTERFACE
SUBROUTINE ACNEBCOND ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PHUC,PVETAF,&
 & PAPHI,PAPHIF,PAPRSF,PCP,PDELP,PQ,PQI,PQL,PQW,PT,PNCV,&
 & PGM,PTS,&
 & PNEBCOND,PHCRICS,PQSATS,PRMF,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PHUC(KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVETAF(KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNCV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNEBCOND(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHCRICS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQSATS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRMF(KLON,KLEV)
CHARACTER(LEN=9) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACNEBCOND
END INTERFACE
